# Uses of Interface
org.opensaml.saml.saml2.metadata.EmailAddress

Packages that use EmailAddress
Package
Description
org.opensaml.saml.saml2.metadata
Concrete definitions of the objects described in saml-metadata-2.0-os work.
org.opensaml.saml.saml2.metadata.impl
Concrete implementations of SAML 2.0 metadata objects.

## Uses of EmailAddress in org.opensaml.saml.saml2.metadata

Methods in org.opensaml.saml.saml2.metadata that return types with arguments of type EmailAddress
Modifier and Type
Method
Description
`List<EmailAddress>`
ContactPerson.`getEmailAddresses()`
Gets a list of email addresses for this person.

## Uses of EmailAddress in org.opensaml.saml.saml2.metadata.impl

Classes in org.opensaml.saml.saml2.metadata.impl that implement EmailAddress
Modifier and Type
Class
Description
`class`
`EmailAddressImpl`
Concrete implementation of `EmailAddress`.
Fields in org.opensaml.saml.saml2.metadata.impl with type parameters of type EmailAddress
Modifier and Type
Field
Description
`private final XMLObjectChildrenList<EmailAddress>`
ContactPersonImpl.`emailAddresses`
Child email address.
Methods in org.opensaml.saml.saml2.metadata.impl that return EmailAddress
Modifier and Type
Method
Description
`EmailAddress`
EmailAddressBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`EmailAddress`
EmailAddressBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.saml.saml2.metadata.impl that return types with arguments of type EmailAddress
Modifier and Type
Method
Description
`List<EmailAddress>`
ContactPersonImpl.`getEmailAddresses()`
Gets a list of email addresses for this person.